<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MMWave_MsgHeader_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MMWave_MsgHeader_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWave Message Header  
 <a href="struct_m_m_wave___msg_header__t.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0e8c955dca4e7ff74b19e3e4e78de95a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e8c955dca4e7ff74b19e3e4e78de95a"></a>
<a class="el" href="mmwave__xwr16xx_8c.html#adbb9e18519f33600b99d2bcb53d614d7">MMWave_PayloadId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg_header__t.html#a0e8c955dca4e7ff74b19e3e4e78de95a">id</a></td></tr>
<tr class="memdesc:a0e8c955dca4e7ff74b19e3e4e78de95a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifier which describes the payload being carried in the message. <br /></td></tr>
<tr class="separator:a0e8c955dca4e7ff74b19e3e4e78de95a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a478fb940f7e3330f1f34272f1d99ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a478fb940f7e3330f1f34272f1d99ee"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg_header__t.html#a6a478fb940f7e3330f1f34272f1d99ee">length</a></td></tr>
<tr class="memdesc:a6a478fb940f7e3330f1f34272f1d99ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of the payload message which is being sent across. <br /></td></tr>
<tr class="separator:a6a478fb940f7e3330f1f34272f1d99ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWave Message Header </p>
<p>Messages exchanged between the mmWave execution domains have a fixed size header added to all the messages which are exchanged. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwave/platform/<a class="el" href="mmwave__xwr16xx_8c.html">mmwave_xwr16xx.c</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
